Page MenuHomePhabricator

Review and create table for Content Translation
Closed, ResolvedPublic1 Story Points

Description

Please review and deploy SQL file: https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FContentTranslation.git/ce5b8d2a95dabe31604f1811d26e61a4b77439ab/sql%2Flists.sql

This will be used to store Suggestions for ContentTranslation.

See T92987 for more details.

Event Timeline

KartikMistry raised the priority of this task from to Needs Triage.
KartikMistry updated the task description. (Show Details)
KartikMistry added a subscriber: KartikMistry.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 3 2015, 8:25 AM
KartikMistry set Security to None.
KartikMistry added subscribers: santhosh, Nikerabbit, Amire80.
jcrespo added a subscriber: jcrespo.Sep 3 2015, 8:28 AM

This SQL script does not involve any schema change -only new tables- and can be deployed in the same cycle that other code, without requiring DBA supervision.

jcrespo claimed this task.Sep 3 2015, 10:43 AM
jcrespo triaged this task as Normal priority.
jcrespo added a project: DBA.
jcrespo moved this task from Triage to In progress on the DBA board.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Sep 4 2015, 8:34 AM
jcrespo removed jcrespo as the assignee of this task.Sep 7 2015, 10:01 AM

These 2 tables have been created on x1-master and its slaves:

MariaDB [wikishared]> SHOW CREATE TABLE cx_lists\G
*************************** 1. row ***************************
       Table: cx_lists
Create Table: CREATE TABLE `cx_lists` (
  `cxl_id` int(11) NOT NULL AUTO_INCREMENT,
  `cxl_type` int(11) DEFAULT '0',
  `cxl_owner` int(11) NOT NULL,
  `cxl_public` tinyint(1) NOT NULL,
  `cxl_start_time` varbinary(14) DEFAULT NULL,
  `cxl_end_time` varbinary(14) DEFAULT NULL,
  `cxl_name` varbinary(512) NOT NULL,
  `cxl_info` mediumblob,
  PRIMARY KEY (`cxl_id`),
  UNIQUE KEY `cx_lists_relevant` (`cxl_type`,`cxl_public`,`cxl_start_time`,`cxl_end_time`)
) ENGINE=InnoDB DEFAULT CHARSET=binary
1 row in set (0.00 sec)

MariaDB [wikishared]> SHOW CREATE TABLE cx_suggestions\G
*************************** 1. row ***************************
       Table: cx_suggestions
Create Table: CREATE TABLE `cx_suggestions` (
  `cxs_list_id` int(11) NOT NULL,
  `cxs_source_language` varbinary(36) NOT NULL,
  `cxs_target_language` varbinary(36) DEFAULT NULL,
  `cxs_title` varbinary(512) NOT NULL,
  KEY `cx_suggestions_by_lang` (`cxs_list_id`,`cxs_source_language`,`cxs_target_language`)
) ENGINE=InnoDB DEFAULT CHARSET=binary
1 row in set (0.00 sec)

Please review them, confirm they are ok, and resolve the ticket if positive.

KartikMistry moved this task from Backlog to Done on the LE-CX6-Sprint 4 board.Sep 10 2015, 11:08 AM
KartikMistry edited a custom field.
KartikMistry closed this task as Resolved.Sep 11 2015, 7:06 AM